#ifndef CHAR_GENERATOR_HPP
#define CHAR_GENERATOR_HPP

#include <memory>

class CharGenerator
{
public:
    virtual char generate() const = 0;

    virtual ~CharGenerator() {};
};

using CharGeneratorPtr = std::shared_ptr<CharGenerator>;

#endif // CHAR_GENERATOR_HPP