#ifndef PASSWORD_GENERATOR_HPP
#define PASSWORD_GENERATOR_HPP

#include "char_generator.hpp"

#include <string>

class Password
{
public:
    Password(std::string password);

    std::string get() const;

private:
    std::string password_;
};

class PasswordGenerator
{
public:
    PasswordGenerator(CharGeneratorPtr);

    void set(CharGeneratorPtr);

    Password generate(size_t length) const;

private:
    CharGeneratorPtr charGenerator_;
};

#endif // PASSWORD_GENERATOR_HPP
