#ifndef WINDOW_HPP
#define WINDOW_HPP

#include <QMainWindow>

#include "../core/password_generator.hpp"

namespace Ui {
class MainWindow;
}

class QListWidgetItem;

class MainWindow : public QMainWindow
{
    Q_OBJECT
public:
    explicit MainWindow(QWidget* parent = 0);

protected:

private slots:
    void quit();
    void about();
private:

private:
    void createActions();

    void generatorChanged(QString generatorName);

    void calculate();

    void setupButtons();

private:
    Ui::MainWindow *ui;

    PasswordGenerator passwordGenerator_;
};

#endif // WINDOW_HPP