//#include <iostream>
//
//#include "core/password_generator.hpp"
//#include "core/alphabetic_char_generator.hpp"
//#include "core/numeric_char_generator.hpp"
//#include "core/alphanumeric_char_generator.hpp"
//
//
//
//int main() {
//    std::cout << "lab 10\n";
//
//    auto password_length = 10;
//
//    auto password_generator =
//        PasswordGenerator(std::make_shared<NumericCharGenerator>());
//    std::cout << "password 1 : " << password_generator.generate(password_length).get() << "\n";
//
//    password_generator.set(std::make_shared<AlphabeticCharGenerator>());
//
//    std::cout << "password 2 : " << password_generator.generate(password_length).get() << "\n";
//
//    password_generator.set(std::make_shared<AlphanumericCharGenerator>());
//
//    std::cout << "password 3 : " << password_generator.generate(password_length).get() << "\n";
//
//
//    return 0;
//}
//

//#include <QApplication>
//#include <QPushButton>
//
//int main(int argc, char** argv)
//{
//    QApplication application(argc, argv);
//
//    QPushButton button("Hello Qt");
//    button.resize(200, 300);
//    button.show();
//
//    return application.exec();
//}

//#include <QApplication>
//#include <QMainWindow>
//#include <QPushButton>
//#include <QLabel>
//
//int main(int argc, char** argv)
//{
//    QApplication application(argc, argv);
//
//    QMainWindow main_window;
//    main_window.setWindowTitle("main window");
//    main_window.setGeometry(100, 100, 300, 300);
//
//    QLabel label("Just a label", &main_window);
//    label.setGeometry(10, 10, 100, 50);
//
//
//    QPushButton button("Hello Qt", &main_window);
//    button.setGeometry(10, 60, 100, 50);
//
//    main_window.show();
//
//    return application.exec();
//}

//#include <QApplication>
//#include <QMainWindow>
//#include <QPushButton>
//
//int main(int argc, char** argv)
//{
//    QApplication application(argc, argv);
//
//    QMainWindow main_window;
//    main_window.setWindowTitle("main window");
//    main_window.setGeometry(100, 100, 300, 300);
//
//    QPushButton button("Hello Qt", &main_window);
//    button.setGeometry(0, 0, 100, 50);
//
//    auto fun = [&]() {button.move(button.pos() + QPoint(5, 5)); };
//
//    QObject::connect(&button, &QPushButton::clicked, &button, fun);
//
//    main_window.show();
//
//    return application.exec();
//}

//#include <QApplication>
//#include <QMainWindow>
//#include <QPushButton>
//
//class MyMainWindow : public QMainWindow
//{
//public:
//    MyMainWindow() : button("Hello Qt", this)
//    {
//        setWindowTitle("main window");
//        setGeometry(100, 100, 300, 300);
//
//        QObject::connect(&button, &QPushButton::clicked, this, &MyMainWindow::moveButton);
//    }
//
//private:
//    void moveButton()
//    {
//        button.move(button.pos() + QPoint(5, 5));
//    }
//
//private:
//    QPushButton button;
//};
//
//int main(int argc, char** argv)
//{
//    QApplication application(argc, argv);
//
//    MyMainWindow main_window;
//    main_window.show();
//
//    return application.exec();
//}

#include <QApplication>

#include "gui\main_window.hpp"

int main(int argc, char** argv)
{
    QApplication application(argc, argv);

    MainWindow window;
    window.show();

    return application.exec();
}

