#include "rand.hpp"

#include <random>

// https://en.cppreference.com/w/cpp/numeric/random/uniform_int_distribution
size_t rand(size_t min, size_t max) {
    std::random_device rd;
    std::mt19937 gen(rd());
    std::uniform_int_distribution<size_t> distrib(min, max);
    return distrib(gen);
}
